# $Id: smeserver-wordpress.spec,v 1.6 2008/11/29 03:11:22 dungog Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-wordpress
%define version 1.0
%define release 2
Summary: smserver rpm to setup mysql database and web link for wordpress weblog
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.dungog.net/wiki
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0:  smeserver-wordpress-1.0-rm80opt.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-release >= 7.0
Requires: wordpress
AutoReqProv: no

%description
smserver rpm to setup mysql database and web link for wordpress weblog

%changelog
* Sat Nov 29 2008 Stephen Noble <support@dungog.net> 1.0-2
- http alias 80opt removed

* Fri Jul 06 2007 Stephen Noble <support@dungog.net> 1.0-1
- http alias, auto setup, template wp-config.php 

* Mon Dec 11 2006 Stephen Noble <support@dungog.net>
- rpm %post events reordered, to enable clean install 
- [0.9-5]

* Thu Nov 9 2006 Stephen Noble <support@dungog.net>
- http alias corrected
- [0.9-4]

* Thu Nov 9 2006 Stephen Noble <support@dungog.net>
- http PublicAccess setting added
- [0.9-3]

* Thu May 4 2006 Stephen Noble <support@dungog.net>
- httpd fragment modified
- rpm doesn't change file permissions
- [0.9-2]

* Sun Apr 16 2006 Stephen Noble <support@dungog.net>
- initial release
- [0.9-1]

%prep
%setup
%patch0 -p1

%build
mkdir -p          root/etc/e-smith/db/accounts/defaults/wordpress
echo "reserved" > root/etc/e-smith/db/accounts/defaults/wordpress/type

mkdir -p                  root/etc/e-smith/db/configuration/defaults/wordpress
echo "Wordpress weblog" > root/etc/e-smith/db/configuration/defaults/wordpress/Name
echo "global"           > root/etc/e-smith/db/configuration/defaults/wordpress/PublicAccess
echo "enabled"          > root/etc/e-smith/db/configuration/defaults/wordpress/status
echo "wordpress"        > root/etc/e-smith/db/configuration/defaults/wordpress/DbName
echo "wordpress"        > root/etc/e-smith/db/configuration/defaults/wordpress/DbUser
echo "en"               > root/etc/e-smith/db/configuration/defaults/wordpress/WpLang

mkdir -p                   root/etc/e-smith/templates.metadata/etc/e-smith/sql/init
echo "PERMS=0750"       >  root/etc/e-smith/templates.metadata/etc/e-smith/sql/init/80wordpress

#only needed so it is removed afterwards
mkdir -p   root/opt/wordpress
touch      root/opt/wordpress/wp-config.php

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
/etc/e-smith/events/actions/initialize-default-databases
/sbin/e-smith/expand-template /etc/e-smith/sql/init/80wordpress
/etc/rc.d/init.d/mysql.init start
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/sbin/e-smith/expand-template /opt/wordpress/wp-config.php
/usr/bin/sv h /service/httpd-e-smith

echo ""
echo "see wiki.contribs.org/wordpress"

%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
 /usr/bin/sv h /service/httpd-e-smith
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

